curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY"
}
]
}
}'
{
"webhooks": [
{
"createTime": "2024-04-08T08:58:54.000Z",
"changeTime": "2024-04-08T09:01:12.000Z",
"url": "URL",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY",
"created": true,
"seen": true,
"sent": false,
"approved": false,
"signed": false,
"fullySigned": false
}
],
"code": "201",
"message": "Webhooks read"
}
Webhook
Read webhook
Get the details of a specific Sendforsign webhook by its key.
POST
/
api
/
webhook
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY"
}
]
}
}'
{
"webhooks": [
{
"createTime": "2024-04-08T08:58:54.000Z",
"changeTime": "2024-04-08T09:01:12.000Z",
"url": "URL",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY",
"created": true,
"seen": true,
"sent": false,
"approved": false,
"signed": false,
"fullySigned": false
}
],
"code": "201",
"message": "Webhooks read"
}
Body parameters
object
required
Response
string
Array of webhooks.
Show child attribute
Show child attribute
string
Create time.
string
Webhook’s endpoint.
string
Webhook’s secret.
string
Webhook’s key.
boolean
Event to listen:
contract.created.boolean
Event to listen:
contract.seen.boolean
Event to listen:
contract.sent.boolean
Event to listen:
contract.approved.boolean
Event to listen:
contract.signed.boolean
Event to listen:
contract.fully_signed.string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY"
}
]
}
}'
{
"webhooks": [
{
"createTime": "2024-04-08T08:58:54.000Z",
"changeTime": "2024-04-08T09:01:12.000Z",
"url": "URL",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY",
"created": true,
"seen": true,
"sent": false,
"approved": false,
"signed": false,
"fullySigned": false
}
],
"code": "201",
"message": "Webhooks read"
}